#
# spec file for package jpilot (Version 0.99.6)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  -xf86 atk atk-devel expat freetype2 freetype2-devel glib glib-devel glib2 glib2-devel gpgme gtk gtk-devel gtk2 gtk2-devel intltool openssl-devel pango pango-devel pilot-link pilot-link-devel pkgconfig readline-devel update-desktop-files x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel autoconf automake binutils cracklib expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gdbm gettext glib glib-devel glib2 glib2-devel gnome-filesystem gpgme gtk gtk-devel gtk2 gtk2-devel intltool libtool openssl-devel pango pango-devel perl pilot-link pilot-link-devel pkgconfig readline-devel rpm update-desktop-files

Name:         jpilot
License:      LGPL
Group:        Hardware/Palm
Requires:     plink
Autoreqprov:  on
Version:      0.99.6
Release:      51
Summary:      Palm Pilot desktop for Linux
Source:       %{name}-%{version}.tar.bz2
Source1:      README.SuSE
Patch:        %{name}-%{version}.diff 
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.jpilot.org

%description
jpilot is a full-featured desktop organizer application for the Palm
Pilot that runs under Linux and UNIX. It includes support for
datebooks, addresses, memos, todos, expenses, and has plugin support.
It uses the GTK+ libraries. Please read the documentation in
/usr/share/doc/packages/jpilot!



Authors:
--------
    Judd Montgomery, <judd@engineer.com>

%package devel
Summary:      Palm Pilot desktop for Linux - devel package
Group:        Development/Libraries/C and C++
Autoreqprov:  on
Requires:     %{name} = %{version}

%description devel
jpilot is a full-featured desktop organizer application for the Palm
Pilot that runs under Linux and UNIX. It includes support for
datebooks, addresses, memos, todos, expenses, and has plugin support.
It uses the GTK+ libraries. Please read the documentation in
/usr/share/doc/packages/jpilot!



Authors:
--------
    Judd Montgomery, <judd@engineer.com>

%prep
%setup
cp %{S:1} .
%patch

%build
autoreconf -I /opt/gnome/share/aclocal --force --install
test -f po/Makevars || mv po/Makevars.template po/Makevars
CFLAGS="$RPM_OPT_FLAGS" \
./configure --with-flock \
            --mandir=%{_mandir} \
	    --prefix=%{_prefix} \
	    --libdir=%{_libdir} \
	    --with-libname=%{_lib} \
	    --localstatedir=/usr/share/locale \
	    --target=%{_target_cpu}-suse-linux-gnu 
make CFLAGS="$RPM_OPT_FLAGS" all

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
rm -rf `find -type d -name CVS`
make install  DESTDIR=$RPM_BUILD_ROOT libdir=%{_libdir}/jpilot/plugins/
# headerfile for devel package
mkdir -p $RPM_BUILD_ROOT%{_includedir}/jpilot
cp libplugin.h $RPM_BUILD_ROOT%{_includedir}/jpilot
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps/Applications
mv $RPM_BUILD_ROOT/usr/share/gnome/apps/Applications/jpilot.desktop \
   $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps/Applications
rm -rf $RPM_BUILD_ROOT/usr/doc/jpilot*
install -d -m 755 $RPM_BUILD_ROOT/usr/share/jpilot
install -m 644 jpilotrc.* empty/*.pdb $RPM_BUILD_ROOT//usr/share/jpilot/
%{find_lang} jpilot
%suse_update_desktop_file jpilot Utility PDA

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files -f jpilot.lang
%doc AUTHORS BUGS ChangeLog README COPYING TODO README.SuSE
%doc docs/manual.html docs/jpilot-*.png icons
%doc %{_mandir}/man1/*
/usr/bin/*
/usr/share/jpilot/
%dir %{_libdir}/jpilot/plugins
%dir %{_libdir}/jpilot
%{_libdir}/jpilot/plugins/*.so*
/opt/gnome/share/gnome/apps/Applications/jpilot.desktop

%files devel
%{_includedir}/jpilot/
%{_libdir}/jpilot/plugins/*.la
%doc docs/plugin.html

%changelog -n jpilot
* Fri Oct 10 2003 - postadal@suse.cz
- disable GTK2 support to get rid of the UTF8 and locale problems [#27267]
* Wed Aug 20 2003 - postadal@suse.cz
- fixed lib64 problem
* Sat Aug 16 2003 - adrian@suse.de
- add Categories
* Tue Aug 12 2003 - postadal@suse.cz
- updated to version 0.99.6
  * added number of records tooltip to datebook
  * added Record completion date on todos
  * added a hide not yet due todos button
  * many miscellaneous bugs fixes
* Tue Jul 29 2003 - ro@suse.de
- added readline-devel to neededforbuild
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 19 2003 - ro@suse.de
- build with current gettext
* Tue Jun 17 2003 - mmj@suse.de
- Own dirs
* Mon Jun 09 2003 - mmj@suse.de
- Remove files from /usr/doc we package elsewhere
- Package jpilot.desktop
* Mon Feb 24 2003 - postadal@suse.cz
- updated to version 0.99.5
  * added dialog error windows instead of logging them
  * if files are to be installed a prompt window opens before a sync/backup
  * fixes
* Wed Jan 15 2003 - postadal@suse.cz
- updated to version 0.99.4
  * ported code to GTK-2 (2.2)
  * random password generation to KeyRing
  * added a dialer program and GUI launcher
  * syncronization of categorzies and editing categories on desktop
  * added export of iCalendar format from ToDo and Datebook, export of vCard format
  from Address book and added Export of ldif format from Address book
* Thu Dec 19 2002 - postadal@suse.cz
- fixed building (Makefile.am: required file `./NEWS')
* Thu Dec 12 2002 - postadal@suse.cz
- *.so files moved from -devel to main package, becouse plugins need it
* Fri Nov 22 2002 - postadal@suse.cz
- updated to version 0.99.33
  * support for OS 4.X passwords
  * better DateBk support
  * pop up dialogs when different user name, null ID is found
  * changes to support pilot-link 0.10.1 and USB (palm m series and clies)
  * export/import for Datebook, Address, Todo, and Memo
  * drastically improved local database read speeds
  * added KeyRing plugin
- packed plugin Expenses (with a default pdb file)
* Wed Aug 28 2002 - postadal@suse.cz
- added Requires %%{name} = %%{version} to devel package
* Mon Apr 29 2002 - postadal@suse.cz
- fixed path to build with lib64 pilot-link
* Wed Feb 27 2002 - postadal@suse.cz
- fixed bug in searching (e.g. segfaulted with plugin jpilot-Mail)
- used macros %%{suse_update_config} & %%{_target_cpu}
* Tue Jan 29 2002 - tcrhak@suse.cz
- created devel subpackage
- set apart jpilot-Backup and jpilot-Mail packages
- fixed filelist
* Fri Jan 18 2002 - tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Mon Aug 13 2001 - schwab@suse.de
- Also do %%suse_update_config in Mail plugin.
* Fri Jun 29 2001 - pblaha@suse.cz
- add Mail plugin
- add Backup plugin
* Thu Jun 28 2001 - pblaha@suse.cz
- move prefix to /usr
- create dir /usr/lib/jpilot/plugin for add plugins
* Tue May 22 2001 - pblaha@suse.cz
- fixed include files on ia64
* Sat May 05 2001 - schwab@suse.de
- Add %%suse_update_config.
* Tue Feb 13 2001 - pblaha@suse.cz
- update on 0.99
* Thu Nov 30 2000 - ro@suse.de
- neededforbuild update
* Tue Nov 07 2000 - bubnikv@suse.cz
- updated to 0.98.1
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu Sep 30 1999 - mt@suse.de
- updated to 0.95, applied patches from jpilot.linuxbox.com
* Wed Jul 28 1999 - mt@suse.de
- new package, version 0.92
